Change log for python-gnupg package in Ubuntu

125 of 25 results
Published in disco-updates on 2019-05-02
Published in disco-security on 2019-05-02
python-gnupg (0.4.3-1ubuntu1.19.04.1) disco-security; urgency=medium

  * SECURITY UPDATE: Improper input validation
    - debian/patches/CVE-2019-6690-1.patch: Added checks to disallow
      newline-type characters in passphrases.
    - debian/patches/CVE-2019-6690-2.patch: Expand passphrase check to include
      NUL bytes.
    - CVE-2019-6690

 -- Mike Salvatore <email address hidden>  Tue, 30 Apr 2019 14:47:20 -0400
Published in cosmic-updates on 2019-05-02
Published in cosmic-security on 2019-05-02
python-gnupg (0.4.1-1ubuntu1.18.10.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Improper input validation
    - debian/patches/CVE-2019-6690-1.patch: Added checks to disallow
      newline-type characters in passphrases.
    - debian/patches/CVE-2019-6690-2.patch: Expand passphrase check to include
      NUL bytes.
    - CVE-2019-6690
  * SECURITY UPDATE: Fake verification status of signed mail
    - debian/patches/CVE-2018-12020.patch: Added --no-verbose to the gpg
      command line
    - CVE-2018-12020

 -- Mike Salvatore <email address hidden>  Tue, 30 Apr 2019 09:46:40 -0400
Published in bionic-updates on 2019-05-02
Published in bionic-security on 2019-05-02
python-gnupg (0.4.1-1ubuntu1.18.04.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Improper input validation
    - debian/patches/CVE-2019-6690-1.patch: Added checks to disallow
      newline-type characters in passphrases.
    - debian/patches/CVE-2019-6690-2.patch: Expand passphrase check to include
      NUL bytes.
    - CVE-2019-6690
  * SECURITY UPDATE: Fake verification status of signed mail
    - debian/patches/CVE-2018-12020.patch: Added --no-verbose to the gpg
      command line
    - CVE-2018-12020

 -- Mike Salvatore <email address hidden>  Tue, 30 Apr 2019 11:14:17 -0400
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-11-16
Deleted in disco-proposed (Reason: moved to release)
Deleted in cosmic-proposed (Reason: Moved to disco-proposed)
python-gnupg (0.4.3-1ubuntu1) cosmic; urgency=medium

  * Increase the verbosity of the test run.

 -- Matthias Klose <email address hidden>  Tue, 25 Sep 2018 17:35:29 +0200
Superseded in cosmic-proposed on 2018-09-25
python-gnupg (0.4.3-1) unstable; urgency=medium

  [ Elena Grandi ]
  * New upstream release
    - CVE-2018-12020 mitigation: Added --no-verbose to the gpg command line,
      in case verbose is specified in gpg.conf
  * Updated homepage
  * Updated Standards-Version to 4.1.4 (no additional changes needed)
  * Updated Maintainer email
  * Refresh patches after git-dpm to gbp pq conversion

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Elena Grandi <email address hidden>  Sat, 16 Jun 2018 10:06:36 +0200
Superseded in disco-release on 2018-11-16
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-02-10
Deleted in bionic-proposed (Reason: moved to release)
python-gnupg (0.4.1-1ubuntu1) bionic; urgency=medium

  * Build-depend on 2to3.
  * Increase the verbosity of the test run.

 -- Matthias Klose <email address hidden>  Thu, 08 Feb 2018 16:16:37 +0100
Superseded in bionic-proposed on 2018-02-08
python-gnupg (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * Go back to using gpg (gnupg2) at build time and as default.

 -- Elena Grandi <email address hidden>  Fri, 08 Sep 2017 21:20:09 +0200
Superseded in bionic-release on 2018-02-10
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
python-gnupg (0.3.9-1) unstable; urgency=medium

  * Removed patches merged upstream.
  * New upstream release.

 -- Elena Grandi <email address hidden>  Fri, 21 Oct 2016 15:23:17 +0200
Superseded in zesty-release on 2016-10-23
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
python-gnupg (0.3.8-3ubuntu2) yakkety; urgency=medium

  * Re-sync with Debian (LP: #1615039)

 -- Jeremy Bicha <email address hidden>  Thu, 01 Sep 2016 03:42:27 -0400

Available diffs

Superseded in yakkety-release on 2016-09-08
Deleted in yakkety-proposed on 2016-09-09 (Reason: moved to release)
python-gnupg (0.3.8-3ubuntu1) yakkety; urgency=medium

  * Revert backto python-gnupg 0.3.8-2 since we're not ready for the
    gpg1/gpg2 transition yet

 -- Jeremy Bicha <email address hidden>  Mon, 22 Aug 2016 17:28:55 -0400
Superseded in yakkety-release on 2016-08-22
Deleted in yakkety-proposed on 2016-08-24 (Reason: moved to release)
python-gnupg (0.3.8-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Elena Grandi ]
  * Force using gpg1 at build time
  * Default on gpg1
  * Updated standard version to 3.9.8 (no changes needed)
  * Add explicit build-dependency on gnupg1 (Closes: #834600)

 -- Elena Grandi <email address hidden>  Wed, 17 Aug 2016 19:48:02 +0200

Available diffs

Superseded in yakkety-release on 2016-08-19
Published in xenial-release on 2015-12-05
Deleted in xenial-proposed (Reason: moved to release)
python-gnupg (0.3.8-2) unstable; urgency=medium

  [Andreas Noteng <email address hidden>]
  * Subkey fingerprints are no longer incorrectly captured (Closes: #802967)

 -- Elena Grandi <email address hidden>  Sun, 29 Nov 2015 14:50:12 +0100

Available diffs

Superseded in xenial-release on 2015-12-05
Deleted in xenial-proposed on 2015-12-06 (Reason: moved to release)
python-gnupg (0.3.8-1) unstable; urgency=medium

  [ Elena Grandi ]
  * New upstream release
  * tarball signature manually checked from
    https://pypi.python.org/pypi/python-gnupg/0.3.8
  * Updated compat to 9

  [ DPMT ]
  * Update Vcs fields for git migration

 -- Elena Grandi <email address hidden>  Tue, 13 Oct 2015 10:30:35 +0200

Available diffs

Superseded in xenial-release on 2015-10-27
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
python-gnupg (0.3.7-2) unstable; urgency=medium

  * Upload to sid of new upstream release.
  * Converted to pybuild.

 -- Elena Grandi <email address hidden>  Sun, 03 May 2015 10:12:30 +0200

Available diffs

Published in precise-backports on 2014-12-21
python-gnupg (0.3.6-1~ubuntu12.04.1) precise-backports; urgency=medium

  * No-change backport to precise (LP: #1316188)
 -- Felix Geyer <email address hidden>   Sun, 21 Dec 2014 19:27:28 +0100
Superseded in wily-release on 2015-07-21
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-02-23
Deleted in trusty-proposed (Reason: moved to release)
python-gnupg (0.3.6-1) unstable; urgency=high


  * New upstream release. Closes: #738509, #736496.
  * CVE-2014-1928 (Erroneous insertion of a \ character) fixed upstream
  * CVE-2014-1927 (Erroneous assumptions about the usability of " characters) 
    fixed upstream
  * CVE-2013-7323 (Unrestricted use of unquoted strings in a shell) 
    fixed upstream
  * Updated watch file for new download source (pypi).
  * Updated standard versions to 3.9.5 (no change needed).
  * Removed use_quick_random_for_gnupg_1.patch (applied upstream).
  * Updated project homepage

 -- Elena Grandi <email address hidden>  Thu, 06 Feb 2014 09:52:10 +0100

Available diffs

Superseded in trusty-release on 2014-02-23
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
python-gnupg (0.3.5-2) unstable; urgency=low


  [ Dmitry Shachnev ]
  * Skip more tests that require network connection. Closes: #721965.

  [ Elena Grandi ]
  * Discard http(s) traffic to catch early further similar problems.

 -- Elena Grandi <email address hidden>  Sun, 15 Sep 2013 11:36:49 +0200

Available diffs

Superseded in saucy-release on 2013-09-18
Deleted in saucy-proposed on 2013-09-19 (Reason: moved to release)
python-gnupg (0.3.5-1svn1) saucy; urgency=low

  * Upload current Subversion HEAD to fix build failure.
  * Skip more tests that require network connection. Closes: #721965.
 -- Dmitry Shachnev <email address hidden>   Fri, 06 Sep 2013 13:45:56 +0400
Superseded in saucy-proposed on 2013-09-06
python-gnupg (0.3.5-1) unstable; urgency=low


  * New upstream release. Closes: #721296, #721294.
  * Updated standard versions to 3.9.4 (no change needed).
  * Reverted simplification of --quick-random workaround.
  * Adding --quick-random instead of --debug-quick-random for 
    gnupg < 2.

 -- Elena Grandi <email address hidden>  Sat, 31 Aug 2013 09:10:31 +0200

Available diffs

Superseded in saucy-release on 2013-09-06
Deleted in saucy-proposed on 2013-09-07 (Reason: moved to release)
python-gnupg (0.3.4-1) unstable; urgency=low


  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Elena Grandi ]
  * New upstream release. Closes: #695796
  * Removed testsuite patches (merged upstream).
  * Simplified --quick-random workaround thanks to partial upstream 
    fixes. https://code.google.com/p/python-gnupg/issues/detail?id=61

 -- Elena Grandi <email address hidden>  Thu, 06 Jun 2013 09:03:28 +0200
Superseded in saucy-release on 2013-07-27
Deleted in saucy-proposed on 2013-07-28 (Reason: moved to release)
python-gnupg (0.3.4-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches:
    + skip_network_needing_test.patch: Refreshed.
 -- Barry Warsaw <email address hidden>   Wed, 05 Jun 2013 09:49:35 -0400

Available diffs

Superseded in saucy-release on 2013-06-05
Deleted in saucy-proposed on 2013-06-06 (Reason: moved to release)
python-gnupg (0.3.3-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches:
    + skip_network_needing_test.patch: Refreshed.
    + return_nonzero_on_test_failure.patch: Applied upstream, deleted.
    + allow_test_to_run_under_c_locale.patch: Applied upstream, deleted.
 -- Barry Warsaw <email address hidden>   Thu, 30 May 2013 10:39:17 -0400
Superseded in saucy-release on 2013-05-30
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
python-gnupg (0.3.0-1.1) unstable; urgency=low


  * Non-maintainer upload.
  * Work around test suite hangs by adding --quick-random when generating
    keys. Closes: #682648

 -- Helmut Grohne <email address hidden>  Mon, 22 Oct 2012 23:30:19 +0200

Available diffs

Superseded in raring-release on 2012-10-29
Obsolete in quantal-release on 2015-04-24
python-gnupg (0.3.0-1) unstable; urgency=low


  * New upstream release
  * Patched testsuite to return nonzero on failure. Closes: #671259

 -- Elena Grandi <email address hidden>  Thu, 17 May 2012 09:18:35 +0000

Available diffs

Superseded in quantal-release on 2012-05-24
python-gnupg (0.2.8-1) unstable; urgency=low


  * Initial release. Closes: 660842

 -- Elena Grandi <email address hidden>  Tue, 27 Mar 2012 14:17:48 +0000
125 of 25 results